dht::Value::Serializable< Derived, Base > Class Template Reference
Inheritance diagram for dht::Value::Serializable< Derived, Base >:
[legend]
Collaboration diagram for dht::Value::Serializable< Derived, Base >:
[legend]

## Public Member Functions

virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const
virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Detailed Description

template<typename Derived, typename Base = SerializableBase>
class dht::Value::Serializable< Derived, Base >

Definition at line 264 of file value.h.

## Member Function Documentation

## getType()

template<typename Derived , typename Base = SerializableBase>

virtual const ValueType & dht::Value::Serializable< Derived, Base >::getType | ( |  | ) | const

inline virtual

Implements dht::Value::SerializableBase.

Definition at line 269 of file value.h.

## packValue()

template<typename Derived , typename Base = SerializableBase>

virtual Value dht::Value::Serializable< Derived, Base >::packValue | ( |  | ) | const

inline virtual

Implements dht::Value::SerializableBase.

Definition at line 278 of file value.h.

## unpackValue()

template<typename Derived , typename Base = SerializableBase>

virtual void dht::Value::Serializable< Derived, Base >::unpackValue | ( | const Value & | v | ) |

inline virtual

Implements dht::Value::SerializableBase.

Definition at line 273 of file value.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/value.h